API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/time-accounts/{accountId}/recalculate

POST/v1/time-accounts/{accountId}/recalculate

Recalculate DAILY_BALANCE rows for a month (ADR 0036b Phase 10)

Datenmodell

Diese Operation arbeitet auf der Entität Time Account (time_account). Alle 14 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz.

Request Body

NameTypBeschreibung
yearerforderlichinteger
montherforderlichinteger

Pfad-Parameter

NameTypBeschreibung
accountIderforderlichstring

Beispiel

curl -X POST https://api.codemeta-os.de/v1/time-accounts/{accountId}/recalculate \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "year": 0,
  "month": 0
}'
const result = await cm.time-accounts.post({
  "year": 0,
  "month": 0
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche